MYLOADER(1)

NAME
myloader - multi-threaded MySQL loader

SYNOPSIS

myloader --directory = /path/to/mydumper/backup [OPTIONS]

DESCRIPTION

myloader is a tool used for multi-threaded restoration of mydumper backups.

OPTIONS

The myloader tool has several available options:

    --help, -?
        Show help text

    --defaults-file
        Use the given option file. If the file does not exist or is otherwise inaccessible, no failure occurs

    --host, -h
        Hostname of MySQL server to connect to (default localhost)

    --user, -u
        MySQL username with the correct privileges to execute the restoration

    --password, -p
        The corresponding password for the MySQL user

    --port, -P
        The port for the MySQL connection.

        NOTE:
            For localhost TCP connections use 127.0.0.1 for --host.

    --socket, -S
        The UNIX domain socket file to use for the connection

    --threads, -t
        The number of threads to use for restoring data, default is 4

    --version, -V
        Show the program version and exit

    --compress-protocol, -C
        Use client protocol compression for connections to the MySQL server

    --directory, -d
        The directory of the mydumper backup to restore

    --database, -B
        An alternative database to load the dump into

        NOTE:
            For use with single database dumps. When using with multi-database dumps that have duplicate table names in more than one database it may cause errors. Alternatively this scenario may give unpredictable results with --overwrite-tables.

    --source-db, -s
        Database to restore, useful in combination with –database

    --queries-per-transaction, -q
        Number of INSERT queries to execute per transaction during restore, default is 1000.

    --overwrite-tables, -o
        Drop any existing tables when restoring schemas

    --enable-binlog, -e
        Log the data loading in the MySQL binary log if enabled (off by default)

    --verbose, -v
        The verbosity of messages. 0 = silent, 1 = errors, 2 = warnings, 3 = info. Default is 2.

AUTHOR
Andrew Hutchings

COPYRIGHT
2011, Andrew Hutchings